Subject: Re: [RFC PATCH v3 2/5] powerpc: Exception hooks for context tracking subsystem

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 13 May 2013 19:06:31 +1000

On Mon, 2013-05-13 at 16:44 +0800, Li Zhong wrote:
> Yes, the above and hash_page() are two C functions for a same exception.
> And the exception hooks enable RCU usage in those C codes. But for asm
> codes, I think we could assume that there would be no RCU usage there,
> so we don't need wrap them in the hooks.

hash_page() won't start a new RCU, at least not in its current incarnation,
the only thing I can see it ever doing would be to take some RCU read locks one
day (it doesn't today).

low_hash_fault() is a different beast. It will typically kill things, thus
involving sending signals etc... RCU might well be involved.

Cheers,
Ben.